## org.eclipse.emf.ecore.sdo.util
Class SDOUtil.Accessor.Pool

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.BasicEList<SDOUtil.Accessor>
                  org.eclipse.emf.ecore.sdo.util.SDOUtil.Accessor.Pool

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<SDOUtil.Accessor>, java.util.Collection<SDOUtil.Accessor>, java.util.List<SDOUtil.Accessor>, java.util.RandomAccess, EList<SDOUtil.Accessor>

Enclosing class:
  SDOUtil.Accessor

    protected static class SDOUtil.Accessor.Pool

extends BasicEList<SDOUtil.Accessor>

Only the get and recycle methods should be call; they are the only synchronized methods.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`BasicEList.BasicIndexOutOfBoundsException, BasicEList.EIterator<E1>, BasicEList.EListIterator<E1>, BasicEList.FastCompare<E>, BasicEList.NonResolvingEIterator<E1>, BasicEList.NonResolvingEListIterator<E1>, BasicEList.UnmodifiableEList<E>`

Field Summary
`protected SDOUtil.Accessor[]` `accessors`

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`SDOUtil.Accessor.Pool()`

Method Summary
`SDOUtil.Accessor` `get()` Returns a recyled instance or a new instance.
`protected java.lang.Object[]` `newData(int capacity)`
`void` `recycle(SDOUtil.Accessor accessor)` Safely gives the accessor back for recycled use.

Methods inherited from class org.eclipse.emf.common.util.BasicEList

`add, add, addAll, addAll, addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, assign, basicGet, basicIterator, basicList, basicListIterator, basicListIterator, canContainNull, clear, clone, contains, containsAll, data, didAdd, didChange, didClear, didMove, didRemove, didSet, equalObjects, equals, get, getDuplicates, getNonDuplicates, grow, hashCode, indexOf, isEmpty, isUnique, iterator, lastIndexOf, listIterator, listIterator, move, move, remove, remove, removeAll, resolve, retainAll, set, setData, setUnique, shrink, size, toArray, toArray, toString, useEquals, validate`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`subList`

Field Detail

### accessors

    protected SDOUtil.Accessor[] accessors

Constructor Detail

### SDOUtil.Accessor.Pool

    public SDOUtil.Accessor.Pool()

Method Detail

### newData

    protected java.lang.Object[] newData(int capacity)

  Overrides:
    `newData` in class `BasicEList<SDOUtil.Accessor>`

### get

    public SDOUtil.Accessor get()

  Returns a recyled instance or a new instance.

### recycle

    public void recycle(SDOUtil.Accessor accessor)

  Safely gives the accessor back for recycled use.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.